View Issue Details

IDProjectCategoryView StatusLast Update
0022492mantisbtuipublic2017-03-20 09:13
ReporterKundaAssigned To 
PriorityhighSeveritymajorReproducibilityalways
Status acknowledgedResolutionopen 
Product Version2.2.0 
Target VersionFixed in Version 
Summary0022492: Regression: Resolved/Closed issues are not shown with a line-through (strike-through)
Description

0017920 is a closed issue and should be shown with a strike-through.

Steps To Reproduce

I discovered this through a downstream issue: https://freecadweb.org/tracker/view.php?id=2949
I verified this by opening 0022180 and looking at the summary

TagsNo tags attached.

Relationships

Activities

dregad

dregad

2017-03-08 05:48

developer   ~0055984

Last edited: 2017-03-08 05:52

View 2 revisions

Resolved/Closed Issues are not striked-through in 2.x. This has been the case as far back as it goes (even in the early development versions of the modern-ui branch prior to 2.0.0-beta.1).

I didn't really pay attention to that until you mentioned it, but personally think it is a useful feature to visually indicate that an issue is closed, without having to hover with the mouse (the pop-up text does gives the status), so I would consider this a regression from 1.x that should be addressed.

I'm not really sure if this was by design, or just an overlooked side effect of migrating to the new UI; @syncguru or @vboctor, please comment.

Kunda

Kunda

2017-03-08 07:17

reporter   ~0055987

If it was by design, wouldn't have it been mentioned somewhere like in a changelog or ticket ?

dregad

dregad

2017-03-08 08:22

developer   ~0055990

If it was by design, wouldn't have it been mentioned somewhere like in a changelog or ticket ?

In an ideal world yes, but I'm afraid you're presuming too much of our development process ;)

Kunda

Kunda

2017-03-08 08:38

reporter   ~0055991

Well it's as easy as adding this to the CSS for it to work again:

.resolved {
text-decoration: line-through;
}

dregad

dregad

2017-03-08 09:00

developer   ~0055994

I know, but still I'd like to get the guys' input since I don't know if they removed it intentionally or not.

atrol

atrol

2017-03-08 09:33

developer   ~0055995

Not sure if you are aware that there is at least one place where we still strike through, it's the Roadmap

Striked through text is hard to read, maybe we should use it just for issue id links, but not for any description.

dregad

dregad

2017-03-08 10:10

developer   ~0055998

Last edited: 2017-03-08 10:11

View 2 revisions

there is at least one place where we still strike through, it's the Roadmap

This is a different case though - this is handled through custom functions, and not even with CSS [1].

Chris_Z

Chris_Z

2017-03-08 12:16

reporter   ~0056000

Another one and the same approach 2.

Kunda

Kunda

2017-03-09 08:27

reporter   ~0056014

FYI, we're going to implement the temp CSS fix (0022492:0055991) on the FreeCAD tracker until you guys decide how to tackle this issue. I'm stating that here so it causes no confusion when looking at the downstream bug and it looks 'Fixed' when it's not. Cheers and thanks for your efforts, MantisBT 2.x is a great achievement.

Kunda

Kunda

2017-03-20 07:44

reporter   ~0056125

Last edited: 2017-03-20 09:13

View 2 revisions

Not sure if you are aware that there is at least one place where we still strike through, it's the Roadmap
Striked through text is hard to read, maybe we should use it just for issue id links, but not for any description.

@atol personally the strikethrough doesn't make it difficult for me to read the roadmap. Maybe a way to deal with this is to add a mouse hover effect that would remove the strikethrough effect when hovering over the text ?

Issue History

Date Modified Username Field Change
2017-03-07 12:36 Kunda New Issue
2017-03-08 05:48 dregad Status new => acknowledged
2017-03-08 05:48 dregad Note Added: 0055984
2017-03-08 05:52 dregad Note Edited: 0055984 View Revisions
2017-03-08 07:17 Kunda Note Added: 0055987
2017-03-08 08:22 dregad Note Added: 0055990
2017-03-08 08:38 Kunda Note Added: 0055991
2017-03-08 09:00 dregad Note Added: 0055994
2017-03-08 09:33 atrol Note Added: 0055995
2017-03-08 10:10 dregad Note Added: 0055998
2017-03-08 10:11 dregad Note Edited: 0055998 View Revisions
2017-03-08 12:16 Chris_Z Note Added: 0056000
2017-03-09 08:27 Kunda Note Added: 0056014
2017-03-20 07:44 Kunda Note Added: 0056125
2017-03-20 09:13 dregad Note Edited: 0056125 View Revisions